Description

hi:

I follow foreman manual to deploy foreman. I have imported from Puppet and Puppet CA with Smart Proxy Puppet.It works good. But

The foreman can't find puppet client auto.

Here is my config file,please tell me where is wrong.How to debug these problems to reslove it?

   my puppet server version : 3.8.4

   my foreman server version : 1.9.3

   my foreman Smart Proxy version : 1.9.3

    puppet client:

    [agent]

    classfile = $vardir/classes.txt

    localconfig = $vardir/localconfig

    runinterval = 600

    how_diff=true

    report = true

    environment = production

    server = puppet.server.com

    ca_server = puppetca.server.com

 
puppet server:

[main]

    logdir = /var/log/puppet

    vardir = /var/lib/puppet/

    rundir = /var/run/puppet/

    ssldir = /var/lib/puppet/ssl

    pluginsync = true

[master]

   certname = puppet.server.com

   ca       = false

   reports= log,foreman

   ssl_client_verify_header = HTTP_X_CLIENT_VERIFY

   ssl_client_header = HTTP_X_CLIENT_DN

[agent]

    classfile = $vardir/classes.txt

    localconfig = $vardir/localconfig

    runinterval = 600

    how_diff=true

    report = true

    environment = production

    server =   puppet.server.com

    ca_server =  puppetca.server.com

 
on puppet master:

/etc/puppet/foreman.yaml 

---
:url: "https://foreman.server.com" 

:ssl_ca: "/var/lib/puppet/ssl/certs/ca.pem" 

:ssl_cert: "/var/lib/puppet/ssl/certs/foreman.server.com.pem" 

:ssl_key: "/var/lib/puppet/ssl/private_keys/foreman.server.com.pem" 

:puppetdir: "/var/lib/puppet" 

:puppetuser: "puppet" 

:facts: true

:timeout: 10

:threads: null

 
on pupet master:

the foreman.rb is from site: https://raw.githubusercontent.com/theforeman/puppet-foreman/master/fi

les/foreman-report_v2.rb

the foreman.rb dir is:

# ll /usr/local/rvm/gems/ruby-1.9.3-p551/gems/puppet-3.8.4/lib/puppet/reports

-rw-r--r-- 1 root rvm 6346 Dec 14 18:20 foreman.rb

-rw-r--r-- 1 root rvm 1044 Dec 10 15:28 http.rb

-rw-r--r-- 1 root rvm  326 Dec 10 15:28 log.rb

-rw-r--r-- 1 root rvm 4265 Dec 10 15:28 rrdgraph.rb

-rw-r--r-- 1 root rvm 1886 Dec 10 15:28 store.rb

-rw-r--r-- 1 root rvm 5915 Dec 10 15:28 tagmail.rb

 please help me,thank you.

History

#1 - 12/14/2015 06:15 AM - Dominic Cleal

- Tracker changed from Bug to Support

Could you please use the foreman-users mailing list or IRC channel for support (http://theforeman.org/support.html)?  This is the issue tracker

primarily, and you won't get a good response for support queries.

#2 - 12/14/2015 06:25 AM - xin jianguo

Ok thank you

#3 - 08/10/2016 07:15 PM - Anonymous

- Status changed from New to Closed

closing.
